/* Mode to choose the intensity */

#include"chooseIntensity.h"

void chooseIntensity()
{
	// montre l'intensité actuelle
	showNumber(1,intensity%10); 
	showNumber(2,intensity/10);
	showNumber(3,0); 
	showNumber(4,0);
	
	read_state_buttons();
	int button = i2c_readNak(); // read GPIO register and put the byte into buttons 
	
	if(button&&0x20!=0) // button moon is pressed
	{
		intensity++; // incrémente l'intensité
		
		if (intensity>=16) // si l'intensité est >= 16
		{
			intensity=0; // remettre à 0
		}
		
		// montre l'intensité choisie sur les digits 1 et 2
		showNumber(1,intensity%10); 
		showNumber(2,intensity/10);
		showNumber(3,0); 
		showNumber(4,0);
		
		// envoie la nouvelle intensitée aux quatres MAX
		writeMAX6955(0xC0, 0x02, intensity); 
		writeMAX6955(0xC2, 0x02, intensity);
		writeMAX6955(0xC8, 0x02, intensity);
		writeMAX6955(0xCA, 0x02, intensity);
		
		flagIntensity=0; // remet le drapeau à zéro
		
		_delay_ms(1000); // attend un peu
	}
	
	value = ADCH;
	
	if (value>100) // during the night (or when it's dark in the room)
	{
		intensity=0;
		writeMAX6955(0xC0, 0x02, intensity); 
		writeMAX6955(0xC2, 0x02, intensity);
		writeMAX6955(0xC8, 0x02, intensity);
		writeMAX6955(0xCA, 0x02, intensity);
	}
	
	int counter=0;
	while(state==2)
	{
		counter++;
		_delay_ms(10);
		if(counter>=2000)
		{
			state=0;
		}
	}

}
