/*I2C communication*/

#include <avr/io.h>
#include <inttypes.h>
#include <compat/twi.h>

#define SCL_CLOCK  100000L

#define MT_DATA_ACK 0x28 
#define MT_SLA_W_ACK 0x18
#define START 0x08

void i2c_init();
unsigned char i2c_start(unsigned char);
void i2c_start_wait(unsigned char);
unsigned char i2c_rep_start(unsigned char);
void i2c_stop();
unsigned char i2c_write(unsigned char);
unsigned char i2c_readAck();
unsigned char i2c_readNak();