/* Interrupt Flag */

#include "intFlag.h"

ISR(TIMER2_OVF_vect) // interrupt service routine for real time clock
{
	int second=0;
	second++;
	if(second>=60)
	{
		second=0;
		flagClock=1;
	}
}

ISR(INT1_vect) // interrupt service routine for buttons
{
	read_state_buttons();
	int button = i2c_readNak(); // read GPIO register and put the byte into buttons
	
	if (button&&0x80==0x80) // bouton minute
	{
		flagMinute=1;
	}
	
	if (button&&0x40==0x40) // bouton heure
	{
		flagHour=1;
	}
	
	if (button&&0x18==0x18)// bouton alarme  + bouton étoile 
	{
		state=1; // go to SET_ALARM_STATE
	}
	
	if (button&&0x30==0x30) // bouton intensité + bouton étoile 
	{
		state=2; // got to CHOOSE_INTENSITY_STATE
	}
	
}

ISR(INT0_vect) // interrupt service routine for music/SPI
{
	
}
