/* Mode to set the alarm */

#include "setAlarm.h"

void setAlarm()
{
	showNumber(1,alarmMinute%10); // affiche les unité des minutes sur le digit 1
	showNumber(2,alarmMinute/10); // affiche les dizaines des minutes sur le digit 2
	showNumber(3,alarmHour%10); // affiche les unités des heures sur le digit 3
	showNumber(4,alarmHour/10); // affiche les dizaines des heures sur le digit 4
	
	read_state_buttons();
	int button = i2c_readNak(); // read GPIO register and put the byte into buttons 
	
	if(flagMinute==1) // si on appuie sur le bouton minute
	{
		alarmMinute++; // on incrémente les minutes
		if(alarmMinute>=60) // si les minutes sont >= à 60
		{
			alarmMinute=0; // remettre à 0
			alarmHour++; // incrémenter les heures
		}
		showNumber(1,alarmMinute%10); // changer les minutes sur l'écran
		showNumber(2,alarmMinute/10);
		flagMinute=0;
	}
	
	if(flagHour==1) // si on appuie sur le bouton des heures
	{
		alarmHour++; // incrémenter les heures
		if(alarmHour>=24) // si les heures sont >=24
		{
			alarmHour=0; // remettre à 0
		}
		showNumber(3,alarmHour%10); // changer les heures sur l'écran
		showNumber(4,alarmHour/10);
		flagHour=0;
	}
	
	int counter=0;
	while(state==2)
	{
		counter++;
		_delay_ms(10);
		if(counter>=2000)
		{
			state=0;
		}
	}

}
