/*Chip used*/

// registers init
#define reg_noOp 0x00 
#define reg_decodeMode 0x01 
#define reg_globalIntensity 0x02 
#define reg_scanLimit 0x03 
#define reg_configuration 0x04 
#define reg_displayTest 0x07 
#define reg_digitType 0x0C 

// include functions from i2c.c
#include "i2c.h"
#include "spi.h"

volatile int intensity=0;

// prototypes
void writeMAX6955(unsigned char, unsigned char, unsigned char);
void initMAX6955(unsigned char);
void initMCP23008();
void read_state_buttons();
void init_vs1011();
void playMusic();
